# Generated by Django 5.0 on 2023-12-19 07:02

import django.core.validators
import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("sensordata", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Sensor",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=40,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                ("description", models.CharField(blank=True, null=True)),
                (
                    "location",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sensordata.location",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="sensor",
            constraint=models.UniqueConstraint(
                fields=("location", "name"), name="unique_name_per_location"
            ),
        ),
    ]
